package com.czg.market.service;

import com.czg.market.dto.MkBirthdayGiftDTO;
import com.czg.market.entity.MkBirthdayGift;
import com.czg.market.vo.MkBirthdayGiftRecordSummaryVO;
import com.czg.market.vo.MkBirthdayGiftRecordVO;
import com.czg.market.vo.MkBirthdayGiftVO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Map;

/**
 * 生日有礼 服务层。
 *
 * @author zs
 * @since 2025-10-14
 */
public interface MkBirthdayGiftService extends IService<MkBirthdayGift> {

    MkBirthdayGiftVO detail(Long shopId);

    Boolean edit(Long shopId, MkBirthdayGiftDTO giftDTO);

    Page<MkBirthdayGiftRecordVO> getRecord(Long shopId, String key, LocalDateTime dateTime);
    MkBirthdayGiftRecordSummaryVO summary(Long shopId, String key, LocalDateTime dateTime);


    void deliver();

    ArrayList<Map<String, Object>> getInfo(long userId, Integer shopId);
}
